package com.jiashi.service;

import lombok.Data;

import java.util.List;

/**
 * 联众上传信息
 */
@Data
public class LianZhongUploadInfo {
    /**
     *
     * 联众上传患者信息
     */
    @Data
    public static class PatientInfo {
        /**
         * 病案号
         */
        private String inpatientNo;
        /**
         * 住院次数
         */
        private Integer admissTimes;
        /**
         * 姓名
         */
        private String name;
        /**
         * 性别 男1，女2
         */
        private String sex;
        /**
         * 性别，男女
         */
        private String sexName;
        /**
         * 年龄-岁
         */
        private Integer age;
        /**
         * 入院日期 yyyy-MM-dd HH:mm:ss
         */
        private String admissDate;
        /**
         * 出院日期 yyyy-MM-dd HH:mm:ss
         */
        private String disDate;
        /**
         * 入院科室编码
         */
        private String admissDeptName;
        /**
         * 出院科室名称
         */
        private String disDeptName;
        /**
         * 身份证号
         */
        private String idCard;
        /**
         * 主要诊断编码
         */
        private String mainDiagCode;
        /**
         * 主要诊断名称
         */
        private String mainDiagName;
        /**
         * 主要手术编码
         */
        private String mainOperateCode;
        /**
         * 主要手术名称
         */
        private String mainOperateName;
    }
    /**
     *
     * 联众上传文件信息
     */
    @Data
    public static class FileInfo {
        /**
         * 文件分段id
         */
        private String assortId;

        /**
         * 文件展示标题
         */
        private String fileTitle;

        /**
         * 上传的本地文件名
         */
        private String uploadFileName;

        /**
         * 文件排序
         */
        private int sort;
    }

    private PatientInfo patientInfo;
    private List<FileInfo> fileInfos;
}
